%define upstream_name    CGI-Application-Plugin-AutoRunmode
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    CGI::App plugin to automatically register runmodes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application) >= 3.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This plugin for CGI::Application provides easy ways to setup run modes. You
can just write the method that implement a run mode, you do not have to
explicitly register it with CGI::App anymore.

There are two approaches: 

* Declare run modes with subroutine attributes. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.180.0-12.mga9
+ Revision: 1817037
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-11.mga8
+ Revision: 1493472
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-10.mga7
+ Revision: 1265985
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.180.0-9.mga6
+ Revision: 1023424
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.180.0-8.mga6
+ Revision: 969206
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.180.0-7.mga6
+ Revision: 864969
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-6.mga5
+ Revision: 742427
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-5.mga5
+ Revision: 732912
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 683627
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 509331
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 363465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 55470
- update to 0.18

* Thu Jan 20 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 25849
- mageia rebuild
- imported package perl-CGI-Application-Plugin-AutoRunmode


* Thu Jul 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 553573
- update to 0.17

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 405772
- rebuild using %%perl_convert_version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.1
+ Revision: 340551
- update to new version 0.16

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 291351
- import perl-CGI-Application-Plugin-AutoRunmode


* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
- initial mdv release, generated with cpan2dist

